HaskellForMaths-0.4.5: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None

Math.QuantumAlgebra.QuantumPlane

Description

A module defining the quantum plane and its symmetries

# Documentation

qvar :: Monomial m => v -> Vect (LaurentPoly Q) (m v)Source

a :: Monomial m => Vect (LaurentPoly Q) (m [Char])Source

b :: Monomial m => Vect (LaurentPoly Q) (m [Char])Source

c :: Monomial m => Vect (LaurentPoly Q) (m [Char])Source

d :: Monomial m => Vect (LaurentPoly Q) (m [Char])Source

detq :: (Ord (m [Char]), Show (m [Char]), Algebra (Vect Q LaurentMonomial) (m [Char]), Monomial m) => Vect (LaurentPoly Q) (m [Char])Source

x :: Monomial m => Vect (LaurentPoly Q) (m [Char])Source

y :: Monomial m => Vect (LaurentPoly Q) (m [Char])Source

u :: Monomial m => Vect (LaurentPoly Q) (m [Char])Source

v :: Monomial m => Vect (LaurentPoly Q) (m [Char])Source

aq20 :: (Ord (m [Char]), Show (m [Char]), Algebra (Vect Q LaurentMonomial) (m [Char]), Monomial m) => [Vect (LaurentPoly Q) (m [Char])]Source

newtype Aq20 v Source

Constructors

Aq20 (NonComMonomial v) |

Instances

Monomial Aq20 |
Eq v => Eq (Aq20 v) |
Ord v => Ord (Aq20 v) |
(Eq v, Show v) => Show (Aq20 v) |
Algebra (LaurentPoly Q) (Aq20 String) |
Comodule (LaurentPoly Q) (M2q String) (Aq20 String) |

aq02 :: (Ord (m [Char]), Show (m [Char]), Algebra (Vect Q LaurentMonomial) (m [Char]), Monomial m) => [Vect (LaurentPoly Q) (m [Char])]Source

newtype Aq02 v Source

Constructors

Aq02 (NonComMonomial v) |

Instances

Monomial Aq02 |
Eq v => Eq (Aq02 v) |
Ord v => Ord (Aq02 v) |
(Eq v, Show v) => Show (Aq02 v) |
Algebra (LaurentPoly Q) (Aq02 String) |

m2q :: (Ord (m [Char]), Show (m [Char]), Algebra (Vect Q LaurentMonomial) (m [Char]), Monomial m) => [Vect (LaurentPoly Q) (m [Char])]Source

newtype M2q v Source

Constructors

M2q (NonComMonomial v) |

Instances

Monomial M2q |
Eq v => Eq (M2q v) |
Ord v => Ord (M2q v) |
(Eq v, Show v) => Show (M2q v) |
Bialgebra (LaurentPoly Q) (M2q String) |
Coalgebra (LaurentPoly Q) (M2q String) |
Algebra (LaurentPoly Q) (M2q String) |
Comodule (LaurentPoly Q) (M2q String) (Aq20 String) |

sl2q :: (Ord (m [Char]), Show (m [Char]), Algebra (Vect Q LaurentMonomial) (m [Char]), Monomial m) => [Vect (LaurentPoly Q) (m [Char])]Source

newtype SL2q v Source

Constructors

SL2q (NonComMonomial v) |

Instances

Monomial SL2q |
Eq v => Eq (SL2q v) |
Ord v => Ord (SL2q v) |
(Eq v, Show v) => Show (SL2q v) |
HopfAlgebra (LaurentPoly Q) (SL2q String) |
Bialgebra (LaurentPoly Q) (SL2q String) |
Coalgebra (LaurentPoly Q) (SL2q String) |
Algebra (LaurentPoly Q) (SL2q String) |

yb :: (Ord t, Show t, Algebra (Vect Q LaurentMonomial) t) => Vect (LaurentPoly Q) (t, t) -> Vect (LaurentPoly Q) (t, t)Source